יומני מנויים

GET https://pushconsole.com/api/subscribers-logs/
curl --request GET \
--url 'https://pushconsole.com/api/subscribers-logs/' \
--header 'Authorization: Bearer {api_key}' \
פרמטרים פרטים תיאור
search אופציונלי מחרוזת מחרוזת החיפוש.
search_by אופציונלי מחרוזת באיזה תחום אתה מחפש. הערכים המותרים הם: ip.
type אופציונלי מחרוזת ערכים מותרים: clicked_notification , closed_notification , displayed_notification , expired_deleted , manually_deleted , permission_denied , push_notification_sent , subscribed , unsubscribed
website_id אופציונלי מספר שלם
order_by אופציונלי מחרוזת באיזה תחום לסדר את התוצאות. הערכים המותרים הם: subscriber_log_id , datetime.
order_type אופציונלי מחרוזת הסדר של התוצאות. הערכים המותרים הם: ASC עבור סידור בסדר עולה, ו-DESC עבור סידור בסדר יורד.
page אופציונלי מספר שלם מספר העמוד שבו אתה מעוניין לקבל תוצאות. ברירת המחדל היא 1.
results_per_page אופציונלי מספר שלם כמה תוצאות אתה רוצה בכל עמוד. הערכים המותרים הם: 10 , 25 , 50 , 100 , 250 , 500 , 1000. ברירת המחדל היא 25.
{
    "data": [
        {
            "id": 1,
            "subscriber_id": 1,
            "campaign_id": 0,
            "flow_id": 0,
            "personal_notification_id": 1,
            "website_id": 1,
            "user_id": 1,
            "ip": "123.123.123.123",
            "type": "clicked_notification",
            "datetime": "2026-03-26 20:33:58",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushconsole.com/api/subscribers-logs?page=1",
        "last": "https://pushconsole.com/api/subscribers-logs?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushconsole.com/api/subscribers-logs?page=1"
    }
}